## org.eclipse.ocl.cst
Interface LoopExpCS

All Superinterfaces:
  CallExpCS, CSTNode, EObject, Notifier, OCLExpressionCS

All Known Subinterfaces:
  IterateExpCS, IteratorExpCS

All Known Implementing Classes:
  IterateExpCSImpl, IteratorExpCSImpl, LoopExpCSImpl

    public interface LoopExpCS

extends CallExpCS

A representation of the model object 'Loop Exp CS'.

The following features are supported:

- `Variable1`
- `Variable2`
- `Body`

See Also:
  `CSTPackage.getLoopExpCS()`

Method Summary
`OCLExpressionCS` `getBody()` Returns the value of the 'Body' containment reference
`VariableCS` `getVariable1()` Returns the value of the 'Variable1' containment reference
`VariableCS` `getVariable2()` Returns the value of the 'Variable2' containment reference
`void` `setBody(OCLExpressionCS value)` Sets the value of the '`Body`' containment reference
`void` `setVariable1(VariableCS value)` Sets the value of the '`Variable1`' containment reference
`void` `setVariable2(VariableCS value)` Sets the value of the '`Variable2`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CallExpCS
`getAccessor, getSimpleNameCS, getSource, setAccessor, setSimpleNameCS, setSource`

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getVariable1

    VariableCS getVariable1()

  Returns the value of the 'Variable1' containment reference.

  If the meaning of the 'Variable1' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Variable1' containment reference.
  See Also:
    `setVariable1(VariableCS)`, `CSTPackage.getLoopExpCS_Variable1()`

### setVariable1

    void setVariable1(VariableCS value)

  Sets the value of the '`Variable1`' containment reference.

  Parameters:
    `value` - the new value of the 'Variable1' containment reference.
  See Also:
    `getVariable1()`

### getVariable2

    VariableCS getVariable2()

  Returns the value of the 'Variable2' containment reference.

  If the meaning of the 'Variable2' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Variable2' containment reference.
  See Also:
    `setVariable2(VariableCS)`, `CSTPackage.getLoopExpCS_Variable2()`

### setVariable2

    void setVariable2(VariableCS value)

  Sets the value of the '`Variable2`' containment reference.

  Parameters:
    `value` - the new value of the 'Variable2' containment reference.
  See Also:
    `getVariable2()`

### getBody

    OCLExpressionCS getBody()

  Returns the value of the 'Body' containment reference.

  If the meaning of the 'Body' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Body' containment reference.
  See Also:
    `setBody(OCLExpressionCS)`, `CSTPackage.getLoopExpCS_Body()`

### setBody

    void setBody(OCLExpressionCS value)

  Sets the value of the '`Body`' containment reference.

  Parameters:
    `value` - the new value of the 'Body' containment reference.
  See Also:
    `getBody()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.